Subject: Re: [PATCH iproute2-next] configure: Allow command line override of toolchain

From: Ido Schimmel <[email-masked]>
Date: Tue, 8 Mar 2022 18:41:56 +0200

On Tue, Mar 08, 2022 at 09:26:49AM -0700, David Ahern wrote:
> On 3/7/22 8:09 AM, Ido Schimmel wrote:
> > 
> > I realize it was already merged (wasn't asking for academic purposes),
> > but rather wanted you to verify that the patch is not needed on your end
> > so that I could revert it. I can build with gcc/clang even without the
> > patch. With the patch, the build is broken on Fedora as "yacc" is not a
> > build dependency [1]. Verified this with a clean install of Fedora 35:
> > Can't build iproute with this patch after running "dnf builddep
> > iproute". Builds fine without it.
> > 
> > [1] https://src.fedoraproject.org/rpms/iproute/blob/rawhide/f/iproute.spec#_22
> 
> I booted a Fedora 35 VM and see what you mean. I can not find the
> difference as to why Ubuntu 20.04 is ok and Fedora 35 is not, so I
> reverted the patch.

I tested with Ubuntu 21.10 yesterday and it worked for me as well.
There 'yacc' eventually points to '/usr/bin/bison.yacc'.

Anyway, thanks for taking care of that